<template>
    <el-menu
    :default-active="activeIndex"
    class="el-menu-demo nav-list"
    mode="horizontal"
    :ellipsis="false"
    @select="handleSelect"
  >
    <!-- <div class="flex-grow" /> -->
    <el-menu-item index="1">广场</el-menu-item>
    <el-menu-item index="2">图文</el-menu-item>
    <el-menu-item index="3">视频</el-menu-item>
    <el-menu-item index="4">关注</el-menu-item>
  </el-menu>
    <el-container style="padding: 40px 15%;">
        <el-row style="width: 100%;">
            <el-col :span="16">
                <e-row>
                          <h1 class="l-title">校园热帖</h1>  
                        </e-row>
                <el-row>
                    <el-card id="post-card">
                        <el-row>
                            <el-col :span="2">
                                <el-avatar :size="50" :src="lunBoList[1]" />
                            </el-col>
                            <el-col :span="3" style="padding-top: 10px;">
                                <h3 class="p-user-name">靛蓝乘方</h3>
                                <div class="p-addtime">123</div>
                            </el-col>
                            <el-col :span="16"></el-col>
                            <el-col :span="3" style="text-align: center;">
                                <el-button type="primary" round>关注</el-button>
                                <!-- <el-button type="info" round>已关注</el-button> -->
                            </el-col>
                        </el-row>
                        <el-row class="p-com-row">
                            <el-col :span="22">
                                <div class="p-title">
                                    <el-tag class="ml-2" type="danger" effect="dark">热帖</el-tag>
                                    定风波-莫听穿林打叶声
                                </div>
                            <div class="p-coment">
                                莫听穿林打叶声，何妨吟啸且徐行，竹杖芒鞋轻胜马，谁怕？一蓑烟雨任平生。
                            </div>
                            <div class="p-imgL">
                                <el-row>
                                    <el-col :span="5">
                                        <el-image :src="lunBoList[1]" style="height: 100%;width: 100%;" fit="cover"></el-image>
                                    </el-col>
                                </el-row>
                            </div>
                            </el-col>
                        </el-row>
                        <el-row class="p-foot-row">
                            <el-col :span="3">
                                <el-tag class="ml-2" type="info">话题一</el-tag>
                            </el-col>
                                <el-col :span="13">
                            </el-col>
                            <el-col :span="8">
                                <el-row>
                                    <el-col :span="8">
                                    <!-- 点赞 -->
                                    <el-icon><Pointer /></el-icon>
                                    <span>12</span>
                                    </el-col>
                                    <el-col :span="8">
                                    <!-- 评论 -->
                                    <el-icon><ChatLineSquare /></el-icon>
                                    <span>11</span>
                                    </el-col>
                                    <el-col :span="8">
                                    <!-- 收藏 -->
                                    <el-icon><Star /></el-icon>
                                    <span>12</span>
                                    </el-col>
                                </el-row>
                            </el-col>
                        </el-row>
                    </el-card>
                </el-row>
                <!-- 重复 -->
                <el-row>
                    <el-card id="post-card">
                        <el-row>
                            <el-col :span="2">
                                <el-avatar :size="50" :src="lunBoList[1]" />
                            </el-col>
                            <el-col :span="3" style="padding-top: 10px;">
                                <h3 class="p-user-name">靛蓝乘方</h3>
                                <div class="p-addtime">123</div>
                            </el-col>
                            <el-col :span="16"></el-col>
                            <el-col :span="3" style="text-align: center;">
                                <el-button type="primary" round>关注</el-button>
                                <!-- <el-button type="info" round>已关注</el-button> -->
                            </el-col>
                        </el-row>
                        <el-row class="p-com-row">
                            <el-col :span="22">
                                <div class="p-title">
                                    <el-tag class="ml-2" type="danger" effect="dark">热帖</el-tag>
                                    定风波-莫听穿林打叶声
                                </div>
                            <div class="p-coment">
                                莫听穿林打叶声，何妨吟啸且徐行，竹杖芒鞋轻胜马，谁怕？一蓑烟雨任平生。
                            </div>
                            <div class="p-imgL">
                                <el-row>
                                    <el-col :span="5">
                                        <el-image :src="lunBoList[1]" style="height: 100%;width: 100%;" fit="cover"></el-image>
                                    </el-col>
                                </el-row>
                            </div>
                            </el-col>
                        </el-row>
                        <el-row class="p-foot-row">
                            <el-col :span="3">
                                <el-tag class="ml-2" type="info">话题一</el-tag>
                            </el-col>
                                <el-col :span="13">
                            </el-col>
                            <el-col :span="8">
                                <el-row>
                                    <el-col :span="8">
                                    <!-- 点赞 -->
                                    <el-icon><Pointer /></el-icon>
                                    <span>12</span>
                                    </el-col>
                                    <el-col :span="8">
                                    <!-- 评论 -->
                                    <el-icon><ChatLineSquare /></el-icon>
                                    <span>11</span>
                                    </el-col>
                                    <el-col :span="8">
                                    <!-- 收藏 -->
                                    <el-icon><Star /></el-icon>
                                    <span>12</span>
                                    </el-col>
                                </el-row>
                            </el-col>
                        </el-row>
                    </el-card>
                </el-row>
            </el-col>
            <el-col :span="8" style="padding-left: 40px;">
            <!-- <el-row style="margin: 20px 0;">
                <el-card style="width: 100%;text-align: center;">快来发布你的动态吧 (＾▽＾)</el-card>
            </el-row> -->
            <el-row >
                <el-card class="btn-list">
                    <div> 
                        <el-button color="rgb(62, 127, 255)" :dark="isDark">
                            <el-icon><Edit /></el-icon>
                            发布帖子</el-button>
                    </div>
                    <div>
                        <el-button color="rgb(62, 127, 255)" :dark="isDark">
                            <el-icon><Picture /></el-icon>
                            发布图文</el-button>
                    </div>
                    <div>
                        <el-button color="#626aef" :dark="isDark">
                            <el-icon><VideoCameraFilled /></el-icon>
                            发布视频</el-button>
                    </div>
                </el-card>
            </el-row>
            
            <el-row class="topic-list">
                <el-card class="box-card">
                    <h1 style="font-size: 20px;border-bottom: #8e8e8e 1px solid;padding-bottom: 10px;font-weight: 900;">热门话题</h1>
                    <div>
                        话题一
                        <span>123</span>
                    </div>
                    <div>
                        话题二
                        <span>123</span>
                    </div>
                </el-card>
            </el-row>
            </el-col>
        </el-row>
    </el-container>
</template>
<script >
import { defineComponent } from 'vue';
import { reactive, ref } from 'vue';

export default {
    setup() {
        const lunBoList = [
            'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b61.jpg',
            'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b62.jpg',
            'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b63.jpg'
        ]
        return {
            lunBoList
        }
    }
}
</script>
<style lang="less" scoped>
.nav-list{
    padding: 0 15%;
    .el-menu-item{
        font-size: 20px;
        margin: 0 10px;
    }
}
#user-card {
    padding-top: 20px;
    .el-avatar{
        border: 1px rgb(0, 85, 255) dashed;
    }
    .user-name{
        font-size: 22px;
        font-weight: 900;
    }
    .user-type{
        font-size:18px;
        margin-top: 20px;
    }
    .el-row{
        .el-col{
            font-size: 19px;
            font-weight: 600;
            margin-top: 10px;
            padding: 40px 0;
            height: 30px;
            display: flex;
            justify-content: center;
            align-items: center;
            .tishi{
                position:relative;
                top: -30px;
                right: -10px;
                width: 8px;
                height: 8px;
                border-radius: 50%;
                background-color: rgb(241, 100, 100);
            }
            span{
                margin-left: 10px;
            }
        }
        .el-col:hover{
                background: rgba(162, 198, 245, 0.1);
                // color: rgb(82, 155, 251);
            }
    }
}
.l-title{
        padding: 10px 10px 20px 0;
        font-weight: 900;
        letter-spacing: 4px;
        font-size: 28px;
    }
#post-card{
    width: 100%;
    letter-spacing: 2px;
    .p-user-name{
        font-size: 18px;
        font-weight: 600;
        padding-bottom: 5px;
    }
    .p-com-row{
        // padding: 10px 0;
        .p-title{
            padding: 15px 0;
            // float:;
            font-size: 20px;
            font-weight: bolder;
        }
        .p-title:hover{
            color: rgb(66, 164, 255);
        }
        .p-coment{
            padding-bottom: 10px;
        } 
        .p-imgL{
            padding: 10px 0;
        }
    }
    .p-foot-row{
        font-size: 19px;
        padding-top: 20px;
        // border-top:1px #ababab solid;
        .el-tag:hover{
            color: rgb(66, 164, 255);
        }
        .el-icon{
            margin-right: 10px;
        }
        }
}
.btn-list{
    width: 100%;
    height: 240px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    div{
        margin:20px;
        .el-button{
            width: 160px;
            height: 50px;
            .el-icon{
                font-size: 30px;
                padding-right: 10px;
            }
        }
    }
}
.topic-list,.hop-list{
    margin-top: 20px;
    .box-card{
        width: 100%;
        padding: none;
        div{
            padding: 10px ;
            font-size: 18px;
            font-weight: 500;
            span{
                float: right;
            }
        }
        div:hover{
            color: rgb(66, 164, 255);
        }
    }
}
.el-carousel__item:nth-child(2n) {
    background-color: #99a9bf;
}

.el-carousel__item:nth-child(2n + 1) {
    background-color: #d3dce6;
}
</style>